Summary: Expire and archive user accounts
Name: smeserver-expire-accounts
Version: 0.1.8
Release: 8
License: MIT
Group: Applications/System
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
BuildRequires: gettext

Requires: smeserver-base >= 5.2.0
Requires: qmail
Requires: qmail-autoresponder
Requires: perl(DateTime)
Requires: xz
Requires: /bin/tar
Provides: perl(esmith::FormMagick::Panel::expireaccounts)

%description
With this, you can set an expiration date for user accounts

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
/sbin/e-smith/generate-lexicons
%{__mkdir_p} root/etc/e-smith/events/%{name}-update
%{__mkdir_p} root/home/e-smith/files/archives/users

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /home/e-smith/files/archives 'attr(0750,root,root)' \
  > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre

%post

%preun

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1.8-8.sme
- Fix e-smith references in smeserver-expire-accounts [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1.8-7.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Sep 05 2024 Terry Fage <terry@fage.id.au> 0.1.8-6.sme
- apply locale 2024-09-05.patch

* Sun Aug 21 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.8-5.sme
- apply smeserver-expire-accounts-0.1.8-locale-2022-08-23 

* Tue Aug 02 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.1.8-3.sme
- import to contribs 10 [SME: 12135]

* Thu Jul 15 2021 Daniel Berteaud <daniel@firewall-services.com> 0.1.8-1
- Typo (daniel@firewall-services.com)

* Mon Mar 08 2021 Daniel Berteaud <daniel@firewall-services.com> 0.1.7-1
- new package built with tito

* Mon Mar 8 2021 Daniel Berteaud <daniel@firewall-services.com> - 0.1.7-1.sme
- Suspend email delivery during archiving
- Licence is MIT
- Rebuild using tito

* Mon May 30 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.6-1.sme
- Fix a typo in en-us locale label for DESC_WARN_USER

* Wed May 11 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.5-1.sme
- Use xz as default compression format

* Tue Apr 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.4-1.sme
- Accept current day as a future date
- Requires xz

* Tue Apr 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1.sme
- Add tar in the archives extension

* Mon Apr 11 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1.sme
- Only list expired accounts in the inactive accounts table

* Mon Apr 4 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1.sme
- Fix permissions on /home/e-smith/files/archives

* Wed Mar 30 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1.sme
- Initial release
